Option Explicit

Dim args,app,alertName,alertId,eventType,alertMessage,caption,captionNode,severity
Set args = WScript.Arguments 
Dim i,argsString
For i=0 to args.Count-1  
	argsString=argsString+"agrs"+CStr(i)+":"+args(i)+","
Next
writeLog "Args:"+argsString

app=args(0)
severity=args(1)
alertId=args(2)
eventType=args(3)
 
If args.Count>=5 Then
	alertMessage=args(4)
End If
If args.Count>=6 Then
	caption=args(5)
End If
If args.Count>=7 Then
	captionNode=args(6)
End If
If args.Count>=8 Then
	alertName=args(7)
End If 
'Mapping to cloudalert event
Dim alarmContent,eventId,alarmName,priority,entityName
alarmName = alertName
If Not captionNode="${N=SwisEntity;M=Node.Caption}" Then
	entityName=captionNode
	alarmContent=alertMessage+"("+captionNode+"-"+caption+")"
	eventId=captionNode+"-"+alertId
Else 
	entityName=caption
	alarmContent=alertMessage+"("+caption+")"
	eventId=caption+"-"+alertId
End If
'severity(${N=Alerting;M=Severity}) value of Notice Informational Waring Serious Critical
If severity="Notice" Then 
	priority="1"  
ElseIf severity="Informational" Then
	priority="1"  
ElseIf severity="Warning" Then 
	priority="2"  
ElseIf severity="Serious" Then 
	priority="3" 
ElseIf severity="Critical" Then
	priority="3" 
Else 
	priority="1" 
End If
 
Dim bodyMessage
bodyMessage="{'app':'"+app+"','eventId':'"+eventId+"',"+"'eventType':'"+eventType+"',"+"'alarmName':'"+alertName+"',"
bodyMessage=bodyMessage+"'priority':'"+priority+"','alarmContent':'"+alarmContent+"',"+"'entityName':'"+entityName+"'}"
writeLog "Body Message:"+bodyMessage

Dim http,url,response
url = "http://api.aiops.com/alert/api/event"
Set http = CreateObject("MSXML2.XMLHTTP")
http.open "POST", url, false
http.setRequestHeader "Content-type","application/json;charset=utf-8"
http.Send bodyMessage
response = http.responsetext
writeLog "Server Response:"+response

 
Function writeLog(logMessage)
	Dim filePath,fileName,logFile,fso,logTime,logPath
	LogTime = FormatDateTime(Date, 0)&" "&Time&"  "
	fileName = "cloudalert.log"
	filePath = createobject("Scripting.FileSystemObject").GetFile(Wscript.ScriptFullName).ParentFolder.Path
	logPath = filePath+"\"+fileName
	Set fso = CreateObject("Scripting.FileSystemObject") 
	set logFile=fso.OpenTextFile(logPath,8,true) 
	logFile.writeline(LogTime+logMessage)
	logFile.close
End Function
